# -*- coding: utf-8 -*-
'''
    A module for Nilrt
'''

from __future__ import absolute_import

import os.path

__virtualname__ = 'nilrt'


def __virtual__():
    '''
        Only load this module if is NILinuxRT
        :return: True if environment is set up and False otherwise
    '''
    if __grains__['os_family'] == 'NILinuxRT':
        return True
    return False, 'The nilrt module cannot be loaded.'


def is_older_nilrt():
    '''
        Check if it's old NILinuxRT.
        :return: If this is an older version of NILinuxRT, return True. Otherwise, return False.
        CLI Example:

        .. code-block:: bash
        salt '*' nilrt.is_older_nilrt
    '''
    if os.path.exists('/usr/local/natinst/bin/nisafemodeversion'):
        return True
    return False
